FREEFOAM-APPLYBOUNDARYLAYER(1)

NAME
freefoam-applyBoundaryLayer - Apply a simplified boundary-layer model to the velocity and turbulence fields based on the 1/7th power-law.

SYNOPSIS

freefoam applyBoundaryLayer [-ybl <scalar>] [-Cbl <scalar>] [-help] [-srcDoc] [-doc] [-writenut] [-parallel] [-case <dir>]

DESCRIPTION

The uniform boundary-layer thickness is either provided via the -ybl option or calculated as the average of the distance to the wall scaled with the thickness coefficient supplied via the option -Cbl. If both options are provided -ybl is used.

OPTIONS

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

-writenut
    Output turbulent viscosity.

-Cbl <scalar>
    Coefficient for scaling of the average distance from the wall.

-ybl <scalar>
    Specify the uniform boundary layer thickness.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.